////////////////////////////////////////////////////////////////////////////////
//
//
//  FileName    :   SUISkin_Orpheus.pas
//  Creator     :   Shen Min
//  Date        :   2008-12-26
//  Comment     :
//
//  Copyright (c) 2002-2008 Sunisoft
//  http://www.sunisoft.com
//  Email: support@sunisoft.com
//
////////////////////////////////////////////////////////////////////////////////
//
//  How to use:
//      Please add this unit to the "uses" clause of the unit where you
//  also inlcuded SUISkinEngine unit. And add this unit after SUISkinEngine.
//
//  E.g.
//
//  unit test;
//  interface
//  uses ..., SUISkinEngine, SUISkin_Orpheus;
//  ...
//  ...

unit SUISkin_Orpheus;

interface

uses Windows, Classes, Graphics, SUISkinEngine, ovcnbk;

type
    TsuiSkinOvcNotebook = class(TsuiSkinTabLikeControl)
    protected
        function GetPageText(Index : Integer) : String; override;
        function GetTabRect(Index : Integer) : TRect; override;
        function GetPageCount() : Integer; override;
        function GetPageRect() : TRect; override;
        function GetCurPageIndex() : Integer; override;
        function GetFont() : TFont; override;
        function GetTabPos() : TsuiSkinTabPos; override;
        function GetCanvas() : TCanvas; override;

        procedure DoInit(); override;        

    end;

const
    SUISKIN_ORPHEUS_DEF   : array [0 .. 0] of TsuiSkinCtrlVCLDef = (
        (CtrlClass : TOvcNotebook;
         SkinCtrlClass : TsuiSkinOvcNotebook)
    );

implementation

procedure RegisterToSUISkinEngine();
begin
    RegisterSkinControlClass(SUISKIN_ORPHEUS_DEF);

    RegisterDisabledClass('TOvcTabPage');
end;


{ TsuiSkinOvcNotebook }

procedure TsuiSkinOvcNotebook.DoInit;
begin
    inherited;

    TOvcNotebook(m_Control).Color := m_Engine.GetFormColor();
end;

function TsuiSkinOvcNotebook.GetCanvas: TCanvas;
begin
    Result := TOvcNotebook(m_Control).Canvas;
end;

function TsuiSkinOvcNotebook.GetCurPageIndex: Integer;
begin
    Result := TOvcNotebook(m_Control).PageIndex;
end;

function TsuiSkinOvcNotebook.GetFont: TFont;
begin
    Result := TOvcNotebook(m_Control).Font;
end;

function TsuiSkinOvcNotebook.GetPageCount: Integer;
begin
    Result := TOvcNotebook(m_Control).PageCount;
end;

function TsuiSkinOvcNotebook.GetPageRect: TRect;
begin
    if TOvcNotebook(m_Control).PageCount > 0 then
        Result := TOvcNotebook(m_Control).Pages[0].BoundsRect
    else
        Result := TOvcNotebook(m_Control).ClientRect;
end;

function TsuiSkinOvcNotebook.GetPageText(Index: Integer): String;
begin
    Result := TOvcNotebook(m_Control).Pages[Index].Caption
end;

function TsuiSkinOvcNotebook.GetTabPos: TsuiSkinTabPos;
begin
    case TOvcNotebook(m_Control).TabOrientation of
    toTop : Result := stTop;
    toBottom : Result := stBottom;
    toLeft : Result := stLeft;
    else
        Result := stRight;
    end;
end;

function TsuiSkinOvcNotebook.GetTabRect(Index: Integer): TRect;
begin
    Result := TOvcNotebook(m_Control).GetTabRect(Index)
end;

initialization
    RegisterToSUISkinEngine();
    
end.
